Bug 1025712 - Unable to duplicate f19 multi-card multi-head in f20
Unable to duplicate f19 multi-card multi-head in f20
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 07:07 EDT by flashl
Modified: 2016-07-19 14:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:59:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log (32.60 KB, text/x-log)
2013-11-01 07:07 EDT, flashl
no flags Details

  None (edit)
Description flashl 2013-11-01 07:07:39 EDT
Created attachment 818250 [details]
Xorg.log

Description of problem: GDM reports "oops, logout" unable to login


Version-Release number of selected component (if applicable):


How reproducible:
Configure multi-card, multi-head setup

Steps to Reproduce:
1. boot system using xorg.conf to load intel (i915) and nvidia (GeForce 9500 GT (G96))
2.
3.

Actual results: /var/log/Xorg.0.log reports nor /var/log/gdm/:0.log report severe (EE) errors.  Both gpus, intel and nvidia drivers are successfully loaded.  

Expected results: gdm works the same as f19


Additional info: 
gdm complaints in /var/log/messages:
Nov  1 04:49:25 blackheart gdm: GLib-GObject: g_object_ref: assertion 'object->ref_count > 0' failed
Nov  1 04:49:27 blackheart gdm: GLib-GObject: g_object_unref: assertion 'object->ref_count > 0' failed
Nov  1 04:49:50 blackheart dbus[898]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.88" (uid=0 pid=16640 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.90" (uid=0 pid=16647 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
Nov  1 04:49:50 blackheart dbus-daemon: dbus[898]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.88" (uid=0 pid=16640 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.90" (uid=0 pid=16647 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
=============================================================
Xorg.0.log: multi-user session with one gpu
Note references to crt-1 and vga-0. I don't recall seeing this on f19.
Xorg reports:
   4325.021] (II) NVIDIA(GPU-0): Found DRM driver nvidia-drm (20130102)
[  4325.198] (II) NVIDIA(GPU-0): Display (Acer X233H (CRT-1)) does not support NVIDIA 3D Vision
[  4325.198] (II) NVIDIA(GPU-0):     stereo.
[  4325.239] (II) NVIDIA(GPU-0): Display (Acer X233H (DFP-0)) does not support NVIDIA 3D Vision
[  4325.239] (II) NVIDIA(GPU-0):     stereo.
[  4325.239] (II) NVIDIA(0): NVIDIA GPU GeForce 9500 GT (G96) at PCI:1:0:0 (GPU-0)
=====================================
xrandr reports:
xrandr --current
Screen 0: minimum 8 x 8, current 3840 x 1080, maximum 8192 x 8192
DVI-I-0 disconnected (normal left inverted right x axis y axis)
VGA-0 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080      60.0*+   60.0  
   1600x1200      60.0  
   1440x900       59.9  
   1280x1024      60.0  
   1280x800       59.8  
   1152x864       75.0  
   1024x768       70.1     60.0  
   800x600        60.3     56.2  
   640x480        59.9  
TV-0 disconnected (normal left inverted right x axis y axis)
DVI-I-1 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080      60.0*+
   1600x1200      60.0  
   1440x900       59.9  
   1280x1024      60.0  
   1280x800       59.8  
   1152x864       75.0  
   1024x768       70.1     60.0  
   800x600        60.3     56.2  
   640x480        59.9  
========================================================
xorg.conf using one gpu. If #'s are removed, no complaints from Xorg but gdm will not start.

Section "ServerLayout"
  Identifier   "Layout0"
# Screen        "Screen0"
  Screen        "Screen1"
# Option       "Xinerama" "On"
EndSection

#Section "Monitor"
#  Identifier   "HDMI2"
#  ModelName    "WDT"
#  Option       "Primary" "true"
#  Option       "DPMS"
#EndSection

Section "Monitor"
  Identifier   "CRT-1"
  ModelName    "Acer X233H"
  Option       "DPMS"
EndSection

Section "Monitor"
  Identifier   "DFP-0"
  ModelName    "Acer X233H"
  Option       "DPMS"
  Option       "LeftOf" "CRT-1"
EndSection

#Section "Device"
#    Identifier  "Intel-HDMI2"
#    BusID       "PCI:0:2:0"
#    Driver      "intel"
#    Option      "Monitor-HDMI2" "HDMI2"
#    Option      "AccelMethod" "sna"
#EndSection

Section "Device"
  Identifier  "nvidia-card"
  BusID       "PCI:1:0:0"
  Driver      "nvidia"
  Option      "Monitor-CRT-1" "CRT-1"
  Option      "Monitor-DFP-0" "DFP-0"
EndSection

#Section "Screen"
#  Identifier   "Screen0"
#  Device       "Intel-HDMI2"
#  Monitor      "HDMI2"
#EndSection

Section "Screen"
  Identifier   "Screen1"
  Device       "nvidia-card"
  Monitor      "CRT-1"
EndSection

Section "Files"
	ModulePath   "/usr/lib64/nvidia/xorg"
	ModulePath   "/usr/lib64/xorg/modules"
EndSection
Comment 1 Thomas Meyer 2014-01-11 08:33:58 EST
In program "gnome-session-properties": Do you have the option "remember applications when logging out" enabled? Try to disable it, and try again to login in gdm.
Comment 2 Jaroslav Reznik 2015-03-03 10:10:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 14:59:07 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.